<template>
    <div class="date">
        {{ date }}, {{ time }}
        <!-- Sat, 19 Oct,  14:30,  GMT+3 -->
    </div>
</template>

<script>
    import { mapGetters, mapActions,mapMutations } from 'vuex'
    export default {
        name: 'SiteHeaderClock',
        data() {
            return {
                date:'',
                time:''
            }
        },
        computed: {
            ...mapGetters(['headerClockTime','headerClockTimezoneOffset','headerClockDate'])
        },
        methods: {
                    updateTime() {
                        let weekDays = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat']
                        let months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'June', 'July', 'Aug', 'Sept', 'Oct', 'Nov', 'Dec']
                        let dateTime = new Date();
                        this.time = `${this.zero(dateTime.getHours(), 2)}:${this.zero(dateTime.getMinutes(), 2)}, GMT${this.getTimezoneOffset()}`
                        this.date = `${weekDays[dateTime.getDay()]}, ${this.zero(dateTime.getDate(), 2)} ${months[dateTime.getMonth()]}`
                        this.$store.dispatch('setHeaderClockDate',this.time);
                        this.$store.dispatch('setHeaderClockTime', this.date);
                        this.$store.dispatch('setHeaderClockTimezoneOffset', parseInt(this.getTimezoneOffset()));
                       // console.log(this.$store.getters.headerClockTime)


            },
            zero(number, digit) {
                let zero = ''
                for(let i = 0; i < digit; i++) {
                    zero += '0'
                }
                return (zero + number).slice(-digit)
            },
            getTimezoneOffset() {
                const z = n => (n < 10 ? '0' : '') + n
                let offset = new Date().getTimezoneOffset()
                let sign = offset < 0 ? '+' : '-'
                offset = Math.abs(offset)
                return `${sign}${z(offset/60 | 0)}`
            }
        },
        mounted() {
            let timer = setInterval(this.updateTime, 1000)
            this.updateTime();

        }
    }
</script>

<style scoped>

</style>
